rte_mempool_objhdr(3)

NAME
rte_mempool_objhdr

SYNOPSIS

#include <rte_mempool.h>

  Public Member Functions

RTE_STAILQ_ENTRY (rte_mempool_objhdr) next

  Data Fields

struct rte_mempool * mp
rte_iova_t iova

Detailed Description

Mempool object header structure

Each object stored in mempools are prefixed by this header structure, it allows to retrieve the mempool pointer from the object and to iterate on all objects attached to a mempool. When debug is enabled, a cookie is also added in this structure preventing corruptions and double-frees.

Definition at line 153 of file rte_mempool.h.

Member Function Documentation

  RTE_STAILQ_ENTRY (rte_mempool_objhdr )
Next in list.

Field Documentation

  struct rte_mempool* mp
The mempool owning the object.

Definition at line 155 of file rte_mempool.h.

  rte_iova_t iova
IO address of the object.

Definition at line 156 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.